We use cookies to ensure you get the best experience on our website. Some of these cookies are provided by third parties. You are free to decide which categories you would like to permit and can withdraw this consent at any time (via cookie preferences link on the footer).
By accepting the necessary cookies, you agree to our privacy policy and terms of service, both located in the footer of the website.
Learn more on our terms of service and privacy policy.
Generated from AskNews API 0.24.95.
asknews api chat deep-newsDeep research into real-time news, archive news, and Google.
POST /v1/chat/deepnewsdeep_newshigh-costRequest body fields:
| Option | Type | Required | Description |
|---|---|---|---|
--messages | array<object> | yes | The messages to send to DeepNews. Each message should have 'role' and 'content' keys. Use this to specify what research/monitoring task DeepNews should perform. The 'content' for the final 'user' message should be your Alert query. |
--model | string or null | no | The model to use for DeepNews research. Defaults to claude-sonnet-4-6. Default: "claude-sonnet-4-6". |
--filter-params | object or null | no | Filter parameters to apply to the AskNews search within DeepNews. |
--search-depth | integer | no | The search depth for deep research. Higher values mean more thorough research. Default: 2. |
--max-depth | integer | no | The maximum research depth allowed. Default: 6. |
--sources | string or array | no | Which data sources DeepNews should use. Can be a single source or a list. Available sources are: asknews, google, graph, wiki, x, reddit, charts, email, full_text_discovery Default: "asknews". |
--inline-citations | string | no | How to format inline citations in the response. Defaults to: markdown_link. Available options: markdown_link, numbered, none Choices: markdown_link, numbered, none. Default: "markdown_link". |
--start-citation-number | integer | no | Starting number for inline citations. Offsets fetched source citation keys. Useful if you are providing the agent outside sources with numbered citation keys. Default: 1. |
--return-sources | boolean | no | Whether return a list of sources used by the agent. Default: true. |
--only-cited-sources | boolean | no | Whether to return only of sources that are cited/referenced in the generated response content. Default: true. |
--append-references | boolean | no | Whether to append a 'Cited Articles' section at the end of the response. Default: true. |
--journalist-mode | boolean | no | Whether to use journalist mode for more factual reporting. Default: true. |
--conversational-awareness | boolean | no | Whether to use conversational awareness. Default: true. |
--include-entities | boolean | no | Whether to provide extracted entities to the agent. Default: true. |
--include-graphs | boolean | no | Whether to provide knowledge graphs to the agent Default: false. |
--include-coordinates | boolean | no | Whether to provide geo coordinates to the agent. Default: false. |
--asknews-watermark | boolean | no | Append 'Generated by AskNews AI' watermark Default: true. |
--stream | boolean | no | Whether to stream the response as server-sent events. Default: false. |
--stop | string or array or null | no | Sequence(s) where the model will stop generating further tokens. |
--temperature | number | no | The temperature of the DeepNews agent model. Controls randomness in the output. Higher values (e.g., 1.0) make output more random, lower values (e.g., 0.1) make it more deterministic. Default: 0.9. |
--top-p | number | no | Nucleus sampling parameter. Only tokens with cumulative probability up to top_p are considered. Default: 1. |
--n | integer | no | Number of completions to generate. Default: 1. |
--max-tokens | integer | no | Maximum number of tokens to generate in the response. Default: 9999. |
--presence-penalty | integer | no | Penalizes new tokens based on whether they appear in the text so far, encouraging new topics. Default: 0. |
--frequency-penalty | integer | no | Penalizes new tokens based on their frequency in the text so far, reducing repetition. Default: 0. |
--user | string or null | no | A unique identifier for the end-user, useful for tracking and abuse detection. |
--thread-id | string or null | no | ID of an existing thread to continue the conversation. |
--max-parallel-tool-calls | integer | no | Maximum number of parallel tool calls (e.g., searches) the agent can make during generation. Higher values may speed up responses, but may reduce on-the-fly adaptivity. Default: 1. |
--engine | string | no | The engine to use for the DeepNews agent. 'v1' is deprecated while 'v1.5' is our next-generation research agent with access to more tools, better contextual understanding, and improved reasoning capabilities.'v1.5' streams thinking and tool use using tags <think> </think>, <tool_a> </tool_a> Meanwhile, 'v2.0' is the same underlying agent as 'v1.5', but the thinking and tool use chunks are typed content_block_delta's streamed between content_block_start and content_block_stop events, mimicking Anthropic's approach to streaming tool use/thinking events. Choices: v1, v1.5, v2.0. Default: "v1.5". |
--enable-source-pruning | boolean | no | Whether to enable source pruning, which removes sources that are deemed irrelevant to the final response. This can help reduce noise in the sources and improve the quality of the response, but may also remove some relevant sources if not used carefully. Default: false. |
--cutoff-datetime | string or null | no | The knowledge cutoff datetime for the agent prompt and all tool calls. |
Use direct kebab-case body options, --body '{...}', or --body @request.json.
Direct body options override values supplied through --body.
asknews api chat get-chat-completionsGet the chat completions for a given user message. This endpoint follows the OpenAI API spec. It includes a couple extra params, which include:
journalist_mode: Whether to activate an auto prompt that is more keen on AP styling, citations, and fair reporting. Setting to false, you get a vanilla LLM with the news pre added to the system prompt. No other prompting.
inline_citations: Decides how you want the bot to cite sources. It can use brackets, or it can also include the markdown with URL automatically.
asknews_watermark: Whether to include the AskNews watermark in the response.
Request: POST /v1/openai/chat/completions
Operation ID: get_chat_completions
Safety: high-cost
Request body fields:
| Option | Type | Required | Description |
|---|---|---|---|
--model | string | no | Default: "gpt-4o-mini". |
--messages | array<object> | yes | |
--temperature | number | no | Default: 0.9. |
--top-p | number | no | Default: 1. |
--n | integer | no | Default: 1. |
--stream | boolean | no | Default: false. |
--stop | string or array or null | no | |
--max-tokens | integer | no | Default: 9999. |
--presence-penalty | integer | no | Default: 0. |
--frequency-penalty | integer | no | Default: 0. |
--thread-id | string or null | no | |
--user | string or null | no | |
--inline-citations | string | no | Choices: numbered, markdown_link, none. Default: "markdown_link". |
--append-references | boolean | no | Default: true. |
--journalist-mode | boolean | no | Default: true. |
--asknews-watermark | boolean | no | Default: true. |
--conversational-awareness | boolean | no | Default: true. |
--filter-params | object or null | no |
Use direct kebab-case body options, --body '{...}', or --body @request.json.
Direct body options override values supplied through --body.
asknews api chat list-deepnews-modelsList the available DeepNews models with their public type (standard/lite/advanced).
GET /v1/chat/deepnews-modelslist_deepnews_modelsread-onlyAll commands support --output human|table|json|jsonl|yaml, --json, API/auth URL
overrides, request timeout, and color control. Result data is written to stdout; diagnostics
are written to stderr.